## gnome-contacts 3.30.2

=== meson_options.txt ===
option('cheese', type: 'boolean', value: true, description: 'Enable cheese webcam support.')
option('telepathy', type: 'boolean', value: true, description: 'Enable Telepathy call/chat support.')
option('manpage', type: 'boolean', value: true, description: 'Enable building man pages.')
option('docs', type: 'boolean', value: false, description: 'Whether to build the valadoc docs.')

=== debian/changelog ===
gnome-contacts (3.30.2-1) unstable; urgency=medium

  * New upstream release
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 09:21:54 -0500

gnome-contacts (3.30.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 11:16:25 -0400

gnome-contacts (3.30-1) unstable; urgency=medium

  * New upstream release
  * Update meson configure options for new release
  * Bump Standards-Version to 4.2.1
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Stop building telepathy support. It is no longer supported by GNOME Online
    Accounts & Debian GNOME no longer installs Empathy by default.
    (LP: #1754803)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 07 Sep 2018 12:33:13 -0400

gnome-contacts (3.28.2-1) unstable; urgency=medium

  * New upstream release 

 -- Tim Lunn <tim@feathertop.org>  Tue, 08 May 2018 16:59:56 +1000

gnome-contacts (3.28.1-1) unstable; urgency=medium

  * New upstream version 

 -- Tim Lunn <tim@feathertop.org>  Fri, 13 Apr 2018 20:39:18 +1000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-contacts
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream-util,
               debhelper (>= 11.1.3),
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection,
               libebook1.2-dev (>= 3.13.90),
               libedataserver1.2-dev (>= 3.13.90),
               libedataserverui1.2-dev (>= 3.13.90),
               libfolks-dev (>= 0.11.4),
               libfolks-eds-dev (>= 0.11.4),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.44.0),
               libgnome-desktop-3-dev (>= 3.8),
               libgoa-1.0-dev,
               libgtk-3-dev (>= 3.22.0),
               meson (>= 0.37),
               valac (>= 0.24.0),
               xsltproc,
               libcheese-gtk-dev,
               libgirepository1.0-dev
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git
Homepage: https://wiki.gnome.org/Apps/Contacts

Package: gnome-contacts
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Contacts manager for GNOME
 GNOME Contacts is a standalone application to view and manage contacts
 provided by all available contacts sources (Evolution, Empathy, etc).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/gnome-contacts \
		-Dcheese=true \
		-Dmanpage=true \
		-Dtelepathy=false

override_dh_installdocs:
	dh_installdocs
	appstream-util appdata-to-news debian/gnome-contacts/usr/share/metainfo/org.gnome.Contacts.appdata.xml > \
		debian/gnome-contacts/usr/share/doc/gnome-contacts/NEWS

## gnome-contacts 3.32

=== debian/changelog ===
gnome-contacts (3.32-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libhandy-0.0-dev to 0.0.9

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 06:57:29 -0400

gnome-contacts (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * debian/copyright: Exclude the libhandy code copy
  * Build-Depend on desktop-file-utils, libhandy-0.0-dev, and libxml2-utils
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 07:38:07 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: appstream-util,
-               debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                docbook-xsl,
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection,
                libebook1.2-dev (>= 3.13.90),
                libedataserver1.2-dev (>= 3.13.90),
                libedataserverui1.2-dev (>= 3.13.90),
@@ -22,6 +23,8 @@
                libgnome-desktop-3-dev (>= 3.8),
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.22.0),
+               libhandy-0.0-dev (>= 0.0.9),
+               libxml2-utils,
                meson (>= 0.37),
                valac (>= 0.24.0),
                xsltproc,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## gnome-contacts 3.34

=== debian/changelog ===
gnome-contacts (3.34-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable for the evolution-data-server 3.34 transition
  * Set Standards-Version to 4.4.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Oct 2019 09:15:23 +0100

gnome-contacts (3.34-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Set Rules-Requires-Root to no
  * Set Standards-Version to 4.4.0 (no changes required)
  * d/p/Fix-show-contact-action-not-launching-app-if-closed.patch:
    Add a post-release bug fix from upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Sep 2019 17:16:07 +0100

gnome-contacts (3.33.91-1) experimental; urgency=medium

  [ Guido Günther ]
  * Always build-dep on appstream-utils.
    It's used in the override_dh_installdocs target.

  [ Iain Lane ]
  * debian/watch: Find unstable versions
  * New upstream release 3.33.90
  * BD on gnome-desktop 3.33. So we build against the new SONAME in exp

 -- Iain Lane <laney@debian.org>  Tue, 20 Aug 2019 18:21:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
-               appstream-util <!nocheck>,
+               appstream-util,
                desktop-file-utils <!nocheck>,
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -20,7 +20,7 @@
                libfolks-eds-dev (>= 0.11.4),
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.44.0),
-               libgnome-desktop-3-dev (>= 3.8),
+               libgnome-desktop-3-dev (>= 3.33),
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.22.0),
                libhandy-0.0-dev (>= 0.0.9),
@@ -30,7 +30,8 @@
                xsltproc,
                libcheese-gtk-dev,
                libgirepository1.0-dev
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git

## gnome-contacts 3.36.1

=== meson_options.txt ===
option('profile', type: 'combo', choices: [ 'default', 'development' ], value: 'default', description: 'Indicate whether this is a nightly build (used for CI purposes)')
option('cheese', type: 'boolean', value: true, description: 'Enable cheese webcam support.')
option('telepathy', type: 'boolean', value: false, description: 'Enable Telepathy call/chat support.')
option('manpage', type: 'boolean', value: true, description: 'Enable building man pages.')
option('docs', type: 'boolean', value: false, description: 'Whether to build the valadoc docs.')

=== debian/changelog ===
gnome-contacts (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Apr 2020 12:53:16 +0200

gnome-contacts (3.36-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Mar 2020 11:11:51 +0100

gnome-contacts (3.35.90-1) experimental; urgency=medium

  * New upstream release
    - debian/control.in: Bump the build-dependencies
    - Drop d/p/Fix-show-contact-action-not-launching-app-if-closed.patch,
      applied upstream
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 16:57:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util,
                desktop-file-utils <!nocheck>,
@@ -23,15 +23,15 @@
                libgnome-desktop-3-dev (>= 3.33),
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.22.0),
-               libhandy-0.0-dev (>= 0.0.9),
+               libhandy-0.0-dev (>= 0.0.12),
                libxml2-utils,
-               meson (>= 0.37),
+               meson (>= 0.50),
                valac (>= 0.24.0),
                xsltproc,
                libcheese-gtk-dev,
                libgirepository1.0-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/gnome-contacts \
 		-Dcheese=true \
 		-Dmanpage=true \
 		-Dtelepathy=false

## gnome-contacts 3.38

=== debian/changelog ===
gnome-contacts (3.38-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update libhandy dependency
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 18:20:16 +0100

gnome-contacts (3.37.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Increase build-dependencies as per meson.build
  * d/rules: cheese option is now a feature, not a boolean
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Sep 2020 11:18:02 +0100

gnome-contacts (3.36.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Canonicalize order of dependency lists (wrap-and-sort -a)

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Sep 2020 10:00:20 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-contacts
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream-util,
               debhelper-compat (= 12),
               desktop-file-utils <!nocheck>,
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xsl,
               libcheese-gtk-dev,
               libebook1.2-dev (>= 3.30),
               libedataserver1.2-dev (>= 3.30),
               libedataserverui1.2-dev (>= 3.30),
               libfolks-dev (>= 0.14),
               libfolks-eds-dev (>= 0.14),
               libgee-0.8-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.58),
               libgnome-desktop-3-dev (>= 3.33),
               libgoa-1.0-dev,
               libgtk-3-dev (>= 3.22.0),
               libhandy-1-dev (>= 1.0.0),
               libxml2-utils,
               meson (>= 0.50),
               valac (>= 0.40.10),
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.5.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git
Homepage: https://wiki.gnome.org/Apps/Contacts

Package: gnome-contacts
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Contacts manager for GNOME
 GNOME Contacts is a standalone application to view and manage contacts
 provided by all available contacts sources (Evolution, Empathy, etc).

## gnome-contacts 3.38.1

=== debian/changelog ===
gnome-contacts (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Nov 2020 12:38:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dcheese=true \
+		-Dcheese=enabled \
 		-Dmanpage=true \
 		-Dtelepathy=false

## gnome-contacts 40.0

=== debian/changelog ===
gnome-contacts (40.0-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: minor cleanup
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 08:00:01 -0400

gnome-contacts (40.0-2) experimental; urgency=medium

  * debian/control: Bump dependency on libhandy-1 1.1.0

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Jun 2021 22:35:28 +0200

gnome-contacts (40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/docs: Remove AUTHORS

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 01 Jun 2021 03:46:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -25,7 +25,7 @@
                libgnome-desktop-3-dev (>= 3.33),
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.22.0),
-               libhandy-1-dev (>= 1.0.0),
+               libhandy-1-dev (>= 1.1.0),
                libxml2-utils,
                meson (>= 0.50),
                valac (>= 0.40.10),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dcheese=enabled \
		-Dmanpage=true \
		-Dtelepathy=false

execute_after_dh_installdocs:
	appstream-util appdata-to-news debian/gnome-contacts/usr/share/metainfo/org.gnome.Contacts.appdata.xml > \
		debian/gnome-contacts/usr/share/doc/gnome-contacts/NEWS

## gnome-contacts 41.0

=== meson_options.txt ===
option('profile', type: 'combo', choices: [ 'default', 'development' ], value: 'default', description: 'Indicate whether this is a nightly build (used for CI purposes)')
option('cheese', type: 'feature', value: 'auto', description: 'If enabled, allows creaing an avatar with the webcam')
option('telepathy', type: 'boolean', value: false, description: 'Enable Telepathy call/chat support.')
option('manpage', type: 'boolean', value: true, description: 'Enable building man pages.')
option('docs', type: 'boolean', value: false, description: 'Whether to build the valadoc docs.')

=== debian/changelog ===
gnome-contacts (41.0-2) unstable; urgency=medium

  * Add patch to support GNOME 42 dark theme preference
  * debian/control.in: Bump minimum libhandy to 1.5.90 for that change

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 10:10:56 -0500

gnome-contacts (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: update build flags
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Oct 2021 16:41:04 -0400

=== debian/control ===
--- 
+++ 
@@ -25,13 +25,13 @@
                libgnome-desktop-3-dev (>= 3.33),
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.22.0),
-               libhandy-1-dev (>= 1.1.0),
+               libhandy-1-dev (>= 1.5.90),
                libxml2-utils,
                meson (>= 0.50),
                valac (>= 0.40.10),
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dcheese=enabled \
+		-Dauto_features=enabled \
 		-Dmanpage=true \
 		-Dtelepathy=false

## gnome-contacts 43.0

=== debian/changelog ===
gnome-contacts (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Sep 2022 17:05:29 -0400

gnome-contacts (43~rc-1) unstable; urgency=medium

  * New upstream release
  * Build against libsoup3 libraries

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 23:55:39 -0400

gnome-contacts (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita, libportal, vala
  * debian/rules: Drop obsolete configure option

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 13:26:50 -0400

gnome-contacts (42.0-2) unstable; urgency=medium

  * Revert "Add patch to revert dependency on gnome-control-center 42"
  * Add Breaks: evolution-ews << 3.44.1-2~ (Closes: #1009660)
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Apr 2022 15:41:17 -0400

gnome-contacts (42.0-1) experimental; urgency=medium

  * New upstream release
  * Switch to GTK4 and libadwaita
  * debian/control.in: Drop unused Build-Depends: cheese, libedataserverui
  * debian/control.in: Build-Depend on libportal for camera access
  * Drop patch: applied in new release
  * Add patch to revert dependency on gnome-control-center 42
  * Release to experimental since there are some issues with the new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 15:43:18 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-contacts
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xsl,
               libadwaita-1-dev (>= 1.2~alpha),
               libebook1.2-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libfolks-dev (>= 0.15.5-2b),
               libfolks-eds-dev (>= 0.15.5-2b),
               libgee-0.8-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.58),
               libgnome-desktop-3-dev (>= 3.33),
               libgoa-1.0-dev (>= 3.45),
               libgtk-4-dev (>= 4.6),
               libportal-gtk4-dev (>= 0.6),
               libxml2-utils,
               meson (>= 0.50),
               valac (>= 0.54),
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git
Homepage: https://wiki.gnome.org/Apps/Contacts

Package: gnome-contacts
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: evolution-ews (<< 3.44.1-2~)
Description: Contacts manager for GNOME
 GNOME Contacts is a standalone application to view and manage contacts
 provided by all available contacts sources (Evolution, Empathy, etc).

## gnome-contacts 43.1

=== meson_options.txt ===
option('profile', type: 'combo', choices: [ 'default', 'development' ], value: 'default', description: 'Indicate whether this is a nightly build (used for CI purposes)')
option('camera', type: 'boolean', value: true, description: 'Support creaing an avatar with the webcam using the XDG camera portal')
option('manpage', type: 'boolean', value: true, description: 'Enable building man pages.')
option('docs', type: 'boolean', value: false, description: 'Whether to build the valadoc docs.')

=== debian/changelog ===
gnome-contacts (43.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Feb 2023 18:22:20 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                desktop-file-utils,
@@ -30,7 +30,7 @@
                valac (>= 0.54),
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
-		-Dmanpage=true \
-		-Dtelepathy=false
+		-Dmanpage=true
 
 execute_after_dh_installdocs:
 	appstream-util appdata-to-news debian/gnome-contacts/usr/share/metainfo/org.gnome.Contacts.appdata.xml > \

## gnome-contacts 44.0

=== debian/changelog ===
gnome-contacts (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 12:05:01 -0400

gnome-contacts (44~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 18:22:36 -0500

gnome-contacts (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib
  * debian/control.in: Build-Depend on libqrencode-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 10:24:14 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                desktop-file-utils,
@@ -20,11 +20,12 @@
                libfolks-eds-dev (>= 0.15.5-2b),
                libgee-0.8-dev,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.58),
+               libglib2.0-dev (>= 2.64),
                libgnome-desktop-3-dev (>= 3.33),
                libgoa-1.0-dev (>= 3.45),
                libgtk-4-dev (>= 4.6),
                libportal-gtk4-dev (>= 0.6),
+               libqrencode-dev (>= 4.1.1),
                libxml2-utils,
                meson (>= 0.50),
                valac (>= 0.54),

## gnome-contacts 45~beta

=== debian/changelog ===
gnome-contacts (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4, libadwaita, & vala

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 07:43:56 -0400

gnome-contacts (44.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:01:18 -0400

## gnome-contacts 45.0

=== debian/changelog ===
gnome-contacts (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Sep 2023 14:45:13 -0400

gnome-contacts (45~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:46:45 -0400

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gir,
                dh-sequence-gnome,
                docbook-xsl,
-               libadwaita-1-dev (>= 1.2~alpha),
+               libadwaita-1-dev (>= 1.4~beta),
                libebook1.2-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libfolks-dev (>= 0.15.5-2b),
@@ -23,12 +23,12 @@
                libglib2.0-dev (>= 2.64),
                libgnome-desktop-3-dev (>= 3.33),
                libgoa-1.0-dev (>= 3.45),
-               libgtk-4-dev (>= 4.6),
+               libgtk-4-dev (>= 4.12),
                libportal-gtk4-dev (>= 0.6),
                libqrencode-dev (>= 4.1.1),
                libxml2-utils,
                meson (>= 0.50),
-               valac (>= 0.54),
+               valac (>= 0.56.11),
                xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

## gnome-contacts 46.0

=== debian/changelog ===
gnome-contacts (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:06:24 +0000

gnome-contacts (46.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unused Build-Depends: gnome-desktop3
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 11:57:04 -0400

gnome-contacts (46~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - 46~alpha:
      + When importing new contacts, the confirmation dialog will also
        helpfully preview the names of the contacts to import
      + Searching for a contact through GNOME Shell and clicking it
        while editing an existing one could lead to a broken state.
        Now, Contacts will first confirm whether it's okay to stop
        editing.
      + A bug where (un)selecting a contact would fail when clicking
        the checkbox directly is now fixed
      + The nightly Flatpak should now properly show avatars for
        contacts
      + Some outdated and missing info was added in the app
        description
    - 46~beta:
      + Phone numbers are shown from left to right, regardless of the
        configured text direction
  * Stop using debian/control.in
  * debian/control: Bump minimum meson to 0.59

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 27 Feb 2024 14:56:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-contacts
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
@@ -21,13 +18,12 @@
                libgee-0.8-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.64),
-               libgnome-desktop-3-dev (>= 3.33),
                libgoa-1.0-dev (>= 3.45),
                libgtk-4-dev (>= 4.12),
                libportal-gtk4-dev (>= 0.6),
                libqrencode-dev (>= 4.1.1),
                libxml2-utils,
-               meson (>= 0.50),
+               meson (>= 0.59),
                valac (>= 0.56.11),
                xsltproc
 Rules-Requires-Root: no
@@ -35,7 +31,7 @@
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git
-Homepage: https://wiki.gnome.org/Apps/Contacts
+Homepage: https://apps.gnome.org/Contacts/
 
 Package: gnome-contacts
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 		-Dauto_features=enabled \
 		-Dmanpage=true
 
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control
+
 execute_after_dh_installdocs:
 	appstream-util appdata-to-news debian/gnome-contacts/usr/share/metainfo/org.gnome.Contacts.appdata.xml > \
 		debian/gnome-contacts/usr/share/doc/gnome-contacts/NEWS

## gnome-contacts 47.0

=== debian/changelog ===
gnome-contacts (47.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 17:22:39 -0400

gnome-contacts (47~alpha-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, GTK4, libadwaita, & libportal
  * Add Build-Depends: libgstreamer1.0-dev for restored camera feature
    that now uses the xdg camera portal
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Aug 2024 11:29:06 -0400

gnome-contacts (46.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix crash when glib is built with glib_debug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jul 2024 15:49:41 -0400

## gnome-contacts 48~beta

=== debian/changelog ===
gnome-contacts (48~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 18:25:16 -0500

gnome-contacts (47.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 13:11:01 -0500

## gnome-contacts 48.0

=== debian/changelog ===
gnome-contacts (48.0-2) unstable; urgency=medium

  * Team upload
  * Replace appstream-util usage with more modern appstreamcli

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 16:00:38 +0200

gnome-contacts (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:37:45 -0400

=== debian/control ===
Source: gnome-contacts
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xsl,
               libadwaita-1-dev (>= 1.6~beta),
               libebook1.2-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libfolks-dev (>= 0.15.5-2b),
               libfolks-eds-dev (>= 0.15.5-2b),
               libgee-0.8-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.74),
               libgoa-1.0-dev (>= 3.45),
               libgstreamer1.0-dev,
               libgtk-4-dev (>= 4.15.3),
               libportal-gtk4-dev (>= 0.7),
               libqrencode-dev (>= 4.1.1),
               libxml2-utils,
               meson (>= 0.59),
               valac (>= 0.56.11),
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.7.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git
Homepage: https://apps.gnome.org/Contacts/

Package: gnome-contacts
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: evolution-ews (<< 3.44.1-2~)
Description: Contacts manager for GNOME
 GNOME Contacts is a standalone application to view and manage contacts
 provided by all available contacts sources (Evolution, Empathy, etc).

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,5 @@
 	dh_gnome_clean --no-control
 
 execute_after_dh_installdocs:
-	appstream-util appdata-to-news debian/gnome-contacts/usr/share/metainfo/org.gnome.Contacts.appdata.xml > \
+	appstreamcli metainfo-to-news debian/gnome-contacts/usr/share/metainfo/org.gnome.Contacts.metainfo.xml \
 		debian/gnome-contacts/usr/share/doc/gnome-contacts/NEWS

## gnome-contacts 49.0

=== meson_options.txt ===
option('profile',
  type: 'combo',
  choices: [ 'default', 'development' ],
  value: 'default',
  description: 'Indicate whether this is a nightly build (used for CI purposes)',
)
option('camera',
  type: 'boolean',
  value: true,
  description: 'Support creaing an avatar with the webcam using the XDG camera portal',
)
option('manpage',
  type: 'boolean',
  value: true,
  description: 'Enable building man pages.',
)
option('docs',
  type: 'boolean',
  value: false,
  description: 'Whether to build the valadoc docs.',
)
option('goa',
  type: 'boolean',
  value: true,
  description: 'Whether to build with GNOME Online Accounts support.',
)

=== debian/changelog ===
gnome-contacts (49.0-2) unstable; urgency=medium

  * Remove unnecessary Priority: optional field
  * Salsa CI: ignore blhc failures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Dec 2025 23:26:48 -0500

gnome-contacts (49.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: blueprint-compiler
  * Bump minimum libadwaita

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 10:06:09 -0400

gnome-contacts (48.0-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Remove unused B-D on dh-sequence-gir and
    libgirepository1.0-dev
  * d/control, d/rules: Implement the nodoc build-profile
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

  [ Jeremy Bícha ]
  * Stop using dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 17:56:37 -0400

=== debian/control ===
Source: gnome-contacts
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               appstream,
               blueprint-compiler,
               desktop-file-utils,
               docbook-xsl <!nodoc>,
               libadwaita-1-dev (>= 1.8~alpha),
               libebook1.2-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libfolks-dev (>= 0.15.5-2b),
               libfolks-eds-dev (>= 0.15.5-2b),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.74),
               libgoa-1.0-dev (>= 3.45),
               libgstreamer1.0-dev,
               libgtk-4-dev (>= 4.15.3),
               libportal-gtk4-dev (>= 0.7),
               libqrencode-dev (>= 4.1.1),
               libxml2-utils,
               meson (>= 0.59),
               valac (>= 0.56.11),
               xsltproc <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-contacts
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-contacts.git
Homepage: https://apps.gnome.org/Contacts/

Package: gnome-contacts
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: evolution-ews (<< 3.44.1-2~)
Description: Contacts manager for GNOME
 GNOME Contacts is a standalone application to view and manage contacts
 provided by all available contacts sources (Evolution, Empathy, etc).

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dauto_features=enabled \
-		-Dmanpage=true
-
-override_dh_gnome_clean:
-	dh_gnome_clean --no-control
+		-Dmanpage=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),false,true)
 
 execute_after_dh_installdocs:
 	appstreamcli metainfo-to-news debian/gnome-contacts/usr/share/metainfo/org.gnome.Contacts.metainfo.xml \
